Bug 80894 - Pflogsumm doesn't play with postfix-2.3
Summary: Pflogsumm doesn't play with postfix-2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Erwin Lansing
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-05-11 14:20 UTC by sec
Modified: 2005-05-26 13:43 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (511 bytes, patch)
2005-05-11 14:20 UTC, sec
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description sec 2005-05-11 14:20:02 UTC
postfix-2.3 has a different logfile format, and thus pflogsumm doesn't work anymore.

How-To-Repeat: 
install mail/postfix-current and try to use pflogsumm
Comment 1 Erwin Lansing freebsd_committer 2005-05-11 14:25:46 UTC
On Wed, May 11, 2005 at 03:18:13PM +0200, Stefan `Sec` Zehl wrote:
> >Synopsis:       Pflogsumm doesn't play with postfix-2.3


This is actually a feature that is not FreeBSD-specific and should be
included via the author, who hopefully will make a new release. Did you
talk to the author about this?

Cheers,
-erwin


-- 
Erwin Lansing

DISCLAIMER:
No electrons were harmed while sending this message.
Comment 2 Erwin Lansing freebsd_committer 2005-05-11 14:25:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->erwin

My port
Comment 3 sec 2005-05-11 18:57:33 UTC
On Wed, May 11, 2005 at 15:25 +0200, Erwin Lansing wrote:
> On Wed, May 11, 2005 at 03:18:13PM +0200, Stefan `Sec` Zehl wrote:
> > >Synopsis:       Pflogsumm doesn't play with postfix-2.3
> 
> This is actually a feature that is not FreeBSD-specific and should be
> included via the author, who hopefully will make a new release. Did you
> talk to the author about this?

The patch has been talked about on the postfix users mailinglist a few
times. I assumed if the author wanted to include it, he would have done
so already.

CU,
    Sec
-- 
Cultures consist of people, and the traditional way to learn Unix culture is
from other people and through the folklore, by osmosis.
Comment 4 Erwin Lansing freebsd_committer 2005-05-26 13:43:09 UTC
State Changed
From-To: open->closed

Committed, thanks! 

I've had no respons from the author for over 2 weeks, so I've 
added it to the port for now.